<div class="d-none" {{did-insert this.setup}}></div>

{{#if this.pictureTarget}}
  {{#in-element this.pictureTarget}}
    <div
      class="page-col-gallery page-col-gallery-modal page-col-gallery-picture d-flex flex-column
        {{if this.isPicturePresentable 'presentable'}}
        {{if this.isPicturePresenting 'presenting'}}"
      {{on "transitionend" this.checkHidePicture}}
    >
      <div class="gallery-header p-2 mb-2 d-flex">
        <button
          type="button"
          class="btn btn-dark btn-close-modal"
          {{on "click" this.prepareHidePicture}}
        >
          <FaIcon @icon="times" />
        </button>
        <div class="title p-2 flex-fill">
          {{@title}}
        </div>
      </div>

      <div
        class="picture-container d-flex flex-column justify-content-center align-items-center"
      >
        <PictureWithOptions
          class="page-col-picture"
          @name={{@value.name}}
          @meta={{@value.meta}}
          @src={{@value.picture}}
          @hash={{@value.hash}}
          @options={{this.largePictureValues}}
        />
      </div>
    </div>
  {{/in-element}}
{{/if}}